import * as React from 'react';
import { NextPage } from 'next';
import {Slider} from '@/categories/number/react';
import {Section, Subsection} from '@/components/Section';

const NumberPage: NextPage = () => {
  return (
    <main className="my-16 md:my-32">
      <Section title="Spinner">
        <Subsection title="Default">
          TODO

          <input type="number" />
        </Subsection>
      </Section>
      <Section title="Slider">
        <Subsection title="Default">
          <Slider
            min={-100}
            max={100}
            tickMarks={[{ label: 'low', value: 25, }, 50]}
          />
        </Subsection>
        <Subsection title="Vertical">
          <Slider
            min={-100}
            max={100}
            tickMarks={[{ label: 'low', value: 25, }, 50]}
            orient="vertical"
          />
          A
        </Subsection>
      </Section>
      <Section title="Matrix">
        <h2>
          Matrix
        </h2>
        <div>
          TODO
          <input type="range" />
          <input type="range" />
        </div>
      </Section>
    </main>
  )
}

export default NumberPage;
